---
anta_title: ANTA Device API
---
<!--
  ~ Copyright (c) 2023-2025 Arista Networks, Inc.
  ~ Use of this source code is governed by the Apache License 2.0
  ~ that can be found in the LICENSE file.
  -->

::: anta.device.AntaDevice
    options:
      filters: ["!^_", "_collect"]

<!-- _collect must be last to be kept -->

::: anta.device.AsyncEOSDevice
    options:
      filters: ["!^_", "_collect"]
